;;; This plays a C major scale.  It was adapted from Evan Hanson's code

(require "midiout.scm")

(define (play-each notes)
  (open-midi-device)
  (program-change 1 0)
  (for/list ((note notes))
    (note-on 1 note 90)
    (sleep .25)
    (note-off 1 note))
  (close-midi-device))

(define (main) 
  (display "The C major scale... ") (flush-output)
  (play-each '(60 62 64 65 67 69 71 72 ))
  (display "done.\n"))


